function draw_flux_L1tri(x,e,flux,maxarrowlength)

% draw_flux_L1tri(x,e,flux,maxarrowlength)
%          displays a vector field

ne = size(e,2);
X = zeros(2,ne);

maxabsflux = 0;

for i=1:ne
    ei = e(:,i);
    xe = x(:,ei);
    X(:,i) = sum(xe,2)/3;

    absflux = norm(flux(:,i));
    if (absflux > maxabsflux)
        maxabsflux = absflux;
    end
end

figure
hold on
for i=1:ne
    x1 = X(:,i);

    x2 = x1 + maxarrowlength*flux(:,i)/maxabsflux;
    
    % draw arrows
    x3 = x2 + (1/6)*[1,-sqrt(3);sqrt(3),1]*(x1-x2);
    x4 = x2 + (1/6)*[1,sqrt(3);-sqrt(3),1]*(x1-x2);
    
    line([x1(1),x2(1)],[x1(2),x2(2)]);
%    line([x1(1),x2(1),x3(1),x4(1),x2(1)],[x1(2),x2(2),x3(2),x4(2),x2(2)]);
end
hold off
