function flux = postproc_grad_L1tri(x,elems,u)

% flux = postproc_grad_L1tri(x,elems,u)

ne = size(elems,2);
flux = zeros(2,ne);

for i=1:ne
    ei = elems(:,i);
    xe = x(:,ei);

    x1 = xe(:,1);
    x2 = xe(:,2);
    x3 = xe(:,3);

    R = [x2-x1 x3-x1];

    B = inv(R)' * [-1 1 0; -1 0 1];
    
    flux(:,i) = B*u(ei);
end
