function priklad_elektrostatika()

rho = 1e3;
uplus = 1;
uminus = -1;

[uzly,prvky,ID,IGamma] = diskretizuj_obdelnik_elektrostatika();
nuzly = size(uzly,2);
nprvky = size(prvky,2);
nID = length(ID);
nIGamma = size(IGamma,2);

epsilon = ones(1,nprvky);
uGamma = zeros(1,nIGamma);
for i=1:nIGamma
    usecka = IGamma(:,i);
    if uzly(1,usecka(1)) < 1
        uGamma(i) = uplus;
    else
        uGamma(i) = uminus;
    end
end
uD = zeros(nuzly,1);

[A,b] = mkp_2d_elektrostatika(uzly,prvky,epsilon,ID,uD,IGamma,uGamma,rho);

uH = A\b;
u = uH + uD;

vykresli_reseni(uzly,prvky,u);


E = -postproc_grad_L1tri(uzly,prvky,u);
draw_flux_L1tri(uzly,prvky,E,0.2)