function priklad()

% priklad()
%   Funkce demonstruje konvergenci metody konecnych
%   prvku pri zmensovani diskretizacniho parametru h.
%   Resime variacne ulohu: -div(sigma(u(x))) = f(x) v Omega
%                                       u(x) = U(x) na Gamma_1
%                           sigma(u(x))*n(x) = g(x) na Gamma_2

% Zadani ulohy
fce_lame = 'lame';
fce_f = 'zatez';
fce_U = 'dirich';
fce_g = 'neumann';

k = -pi;
l = pi;
m = -pi;
n = pi;

% Aproximace pro h = pi/10
h = pi/10;
[x1,e,ID,IN,x1index] = diskret(k,l,m,n,h);
[A,b] = assemble(fce_lame,fce_f,fce_U,fce_g,x1,e,ID,IN);
uH = A\b;
u = uH;
for i=1:size(x1,2)
    [U,divU,epsU] = feval(fce_U,x1(:,i));
    u(2*(i-1)+1) = u(2*(i-1)+1) + U(1);
    u(2*i) = u(2*i) + U(2);
end
postproc(x1,e,u,x1index,fce_lame);
