function blok_f = blok_f(f,x,e)

% blok_f = blok_f(f,x,e)
%             Funkce realizuje lokalni prispevek do vekoru,
%             ktery odpovida lin. funkcionalu:
%              f(v) = \int_{K^e} f*v(x) dx,
%             kde f = (f_1,f_2).

x1 = x(:,e(1));
x2 = x(:,e(2));
x3 = x(:,e(3));

R = [x2-x1 x3-x1];
r = x1;

B = [1/3 0;0 1/3] * f;

blok_f = (1/2) * [B;B;B] * abs(det(R));
