function blok_u = blok_u(lambda,mu,divU,epsU,x,e)

% blok_u = blok_u(lambda,nu,divU,epsU,x,e)
%             Funkce realizuje lokalni prispevek do vektoru,
%             ktery odpovida lin. funkcionalu:
%              f(v) = - lambda * \int_{K^e} divU*div(v(x)) dx +
%                     - mu * \int_{K^e} \sum_{k,l=1}^3 epsU_{k,l}*eps_{k,l}(v(x)) dx,
%             kde eps_{k,l}(v) = 1/2 * ( dv_k/dx_l + dv_l/dx_k ).

x1 = x(:,e(1));
x2 = x(:,e(2));
x3 = x(:,e(3));

R = [x2-x1 x3-x1];
r = x1;

B = inv(R)'*[-1 1 0;-1 0 1];

blok = zeros(6,1);

for i1=1:3
    for j1=1:2
        index1 = (i1-1)*2 + j1;
        blambda = divU*lambda*B(j1,i1);

        bmu = 0;
        for k=1:2
            for l=1:2
                Bmu1 = 0;

                if k==j1 
                    Bmu1 = Bmu1 + 0.5*B(l,i1);
                end
                if l==j1
                    Bmu1 = Bmu1 + 0.5*B(k,i1);
                end
                
                bmu = bmu + epsU(k,l)*mu*Bmu1;
            end
        end

        blok = blok + blambda + bmu;
    end
end

blok_u = - blok * (abs(det(R)) / 2);
