function postproc_ram(x,e,u,xindex,fce_lame)

% postproc_ram(x,e,u,xindex,fce_lame)
%            Vykresli posunuti u(x) v diskretizaci
%            a obarvi tuto diskretizaci velikosti napeti.


m = max(xindex(1,:));
n = max(xindex(2,:));

X = zeros(m,n);
Y = zeros(m,n);
SigmaDiv = zeros(m,n);
SigmaEps = zeros(m,n);

ne = max(size(e));

figure
hold on

for i=1:ne
    ei = e(i,:);

    xi1 = x(:,ei(1));
    xi2 = x(:,ei(2));
    xi3 = x(:,ei(3));
    
    xiT = (1/3) * [xi1(1)+xi2(1)+xi3(1);xi1(2)+xi2(2)+xi3(2)];
    [lambdai,mui] = feval(fce_lame,xiT);
    
    ui1 = [u((ei(1)-1)*2+1);u(ei(1)*2)];
    ui2 = [u((ei(2)-1)*2+1);u(ei(2)*2)];
    ui3 = [u((ei(3)-1)*2+1);u(ei(3)*2)];
    
    X(xindex(1,ei(1)),xindex(2,ei(1))) = xi1(1)+ui1(1);
    Y(xindex(1,ei(1)),xindex(2,ei(1))) = xi1(2)+ui1(2);
    X(xindex(1,ei(2)),xindex(2,ei(2))) = xi2(1)+ui2(1);
    Y(xindex(1,ei(2)),xindex(2,ei(2))) = xi2(2)+ui2(2);
    X(xindex(1,ei(3)),xindex(2,ei(3))) = xi3(1)+ui3(1);
    Y(xindex(1,ei(3)),xindex(2,ei(3))) = xi3(2)+ui3(2);
    
    [sigmaDivi,sigmaEpsi] = sigma(xi1,xi2,xi3,ui1,ui2,ui3,lambdai,mui);
    
    SigmaDiv(xindex(1,ei(1)),xindex(2,ei(1))) = SigmaDiv(xindex(1,ei(1)),xindex(2,ei(1))) + sigmaDivi/2;
    SigmaEps(xindex(1,ei(1)),xindex(2,ei(1))) = SigmaEps(xindex(1,ei(1)),xindex(2,ei(1))) + sigmaEpsi/2;
    
    plot([xi1(1)+ui1(1),xi2(1)+ui2(1)],[xi1(2)+ui1(2),xi2(2)+ui2(2)]);
    plot([xi2(1)+ui2(1),xi3(1)+ui3(1)],[xi2(2)+ui2(2),xi3(2)+ui3(2)]);
    plot([xi3(1)+ui3(1),xi1(1)+ui1(1)],[xi3(2)+ui3(2),xi1(2)+ui1(2)]);
end

hold off

figure
pcolor(X,Y,SigmaDiv);

figure
pcolor(X,Y,SigmaEps);
