function priklad_ram()

% priklad_ram()
%   Resime variacne ulohu: -div(sigma(u(x))) = f(x) v Omega
%                                       u(x) = U(x) na Gamma_1
%                           sigma(u(x))*n(x) = g(x) na Gamma_2

% Zadani ulohy
fce_lame = 'lame';
fce_f = 'zatez';
fce_U = 'dirich';
fce_g = 'neumann_ram';

a = pi;
b = pi;
c = pi/2;
d = pi/2;

% Aproximace pro h = pi/10
h = pi/16;
[x,e,ID,IN,x1index] = diskret_ram(a,b,c,d,h);
[A,b] = assemble(fce_lame,fce_f,fce_U,fce_g,x,e,ID,IN);

% Reseni metodou sdruzenych gradientu s predpodminenim D = diag(diag(A))
tol = 1e-3;
maxit = 100;
D = diag(diag(A));
[uH,flag,rr,iter,rv] = pcg(A,b,tol,maxit,D);
size(A)
iter

% Reseni Gaussovou eliminacni metodou
%uH = A\b;

u = uH;
for i=1:size(x,2)
    [U,divU,epsU] = feval(fce_U,x(:,i));
    u(2*(i-1)+1) = u(2*(i-1)+1) + U(1);
    u(2*i) = u(2*i) + U(2);
end
postproc_ram(x,e,u,x1index,fce_lame);
