function [sdiv,seps] = sigma(x1,x2,x3,u1,u2,u3,lambda,mu)

% [sdiv,seps] = sigma(x1,x2,x3,u1,u2,u3,lambda,mu)
%      Funkce pocita tahovou napetovou slozku sdiv = lambda*div(u(x))
%      a smykovou napetovou slozku seps = mu*eps_{12}(u(x))
%      nad trojuhelnikovym elementem <x1,x2,x3>.

R = [x2-x1,x3-x1];
U = [u2-u1,u3-u1];

M = U*inv(R);

sdiv = lambda*trace(M);
seps = mu*0.5*(M(1,2)+M(2,1));
